Chuyển đến nội dung
Diễn đàn CADViet
hongoanh93

Nhờ viết Lisp chèn Block tại các điểm (point) có sẵn

Các bài được khuyến nghị

Chào các anh chị trên diễn đàn, em có tìm trên diễn đàn về chủ đề Lisp này mà không thấy, nên xin nhờ các anh chị viết giùm em lisp chèn các Block vào các điểm có sẵn trên bản vẽ (điểm chèn block trùng điểm có sẵn trên bản vẽ ạ).Cú pháp mong muốn: Gõ lệnh--->chọn block ---->quét chọn các điểm cần chèn-->chọn tỷ lệ scale và góc xoay--->kết thúc lệnh .Em xin chân thành cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử xem đúng ý chưa?

cbp - Chen block vao cac point co san.lsp

 

(defun c:cbp()
	(Prompt "\nChon vung chua cac Point")
	(setq ss (ssget '((0 . "POINT")	) ))
	(setq blockname (getstring "\nNhap ten block: "))
	(setq Xscale (getreal "\nNhap ti le Scale phuong X:"))
	(setq Yscale (getreal "\nNhap ti le Scale phuong Y:"))
	(setq Rotation (getreal "\nNhap goc xoay:"))
	(setq i 0)
	(repeat (sslength ss)
		(setq po (cdr (assoc 10 (entget (ssname ss i ) ))) )
		(command "-insert" blockname "_nod" po Xscale Yscale Rotation)
		(setq i (+ 1 i))
	);repeat
); end Defun

 

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
38 phút trước, LuytBui đã nói:

Bạn thử xem đúng ý chưa?

cbp - Chen block vao cac point co san.lsp

 


(defun c:cbp()
	(Prompt "\nChon vung chua cac Point")
	(setq ss (ssget '((0 . "POINT")	) ))
	(setq blockname (getstring "\nNhap ten block: "))
	(setq Xscale (getreal "\nNhap ti le Scale phuong X:"))
	(setq Yscale (getreal "\nNhap ti le Scale phuong Y:"))
	(setq Rotation (getreal "\nNhap goc xoay:"))
	(setq i 0)
	(repeat (sslength ss)
		(setq po (cdr (assoc 10 (entget (ssname ss i ) ))) )
		(command "-insert" blockname "_nod" po Xscale Yscale Rotation)
		(setq i (+ 1 i))
	);repeat
); end Defun

 

Chào bạn, cảm ơn bạn đã giúp đỡ, nhưng mình thử thì nó chỉ chèn cho 1 điểm các điểm còn lại không có tác dụng gì cả, với lại bạn xem lại kiểu quét chọn thay vì nhập tên vì hơi bất tiện ạ, cảm ơn

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
2 giờ trước, Duong Nhat Duy đã nói:

Đây bạn nhé, lệnh I4, block tự scale, xoay theo block ban đầu bạn chọn:

 

Cảm ơn anh nhiều lắm, hơn cả mong đợi hj

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×